Name:           python-integreat-cms
Version:        2025.1.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Content Management System for the Integreat App

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://integreat-app.de/en/
Source:         %{pypi_source integreat_cms}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'integreat-cms' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-integreat-cms
Summary:        %{summary}

%description -n python3-integreat-cms %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-integreat-cms dev,dev-pinned,pinned


%prep
%autosetup -p1 -n integreat_cms-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x dev,dev-pinned,pinned


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-integreat-cms -f %{pyproject_files}


%changelog
%autochangelog